ID Tracker

ID Tracker II

David M. Hitchner - Copyright © 2009

ID Tracker Web Site ID Tracker FAQ

Disclaimer

The program is freeware designed to extend the capabilities of trunking scanners. I designed it for my personal use and thought others may get some use from the program. Therefore, use this program at your own risk. By downloading, installing, and using ID Tracker you assume full responsibility for its use and hold no claim of liability against the author. The author does not guarantee the functionality of this program or that it will be supported.

Features

  • Supports scanners:
    PSR-500/600, PRO-106/197, BCT8, BCT15, BC246T, BC250D, BC296D, BR330T, BC346XT, BCD396T, BCD396XT, BC780XLT, BC785D, BC796D, BC898T, BCD996T, BCD996XT (also, non-US versions of these scanners)

  • Supports Motorola Type I, Type II, Type IIi, EDACS, EDACS SCAT, LTR and Motorola P25 trunked systems.

  • Supports monitoring multiple systems.

  • Supports recording of scanner audio to WAV files.

  • Supports tracking and labeling of Radio IDs (GRE Scanners only).

  • Provides a method of performing ID limit searches.

  • Provides unlimited lockouts.

  • Can be used to expand the number of tags.

  • Efficient code requiring minimal processor usage. Normal conditions on a 1 GHz Pentium III running Windows XP Professional requires less than 1% CPU usage. A 300 MHz Pentium II running Windows 98 requires 3 to 4% CPU usage.

  • Multiple copies can be installed to support multiple scanners.

  • Multiple sound cards supported.

  • Limited control of the scanner while in remote mode.

Program Description

The program when started will immediately begin communicating with the scanner and attempt to read the system types and alpha tags for all systems. Once this is done, the program will then begin to monitor the scanner for trunk IDs. The program does not override the currently selected scan/search modes or system selection. It simply provides a method of tracking ID and alerting you to potential new or unidentified IDs. Another use of the program is to extend the ID tags beyond the limits of the scanner when in search mode.

Note: If the debug is displayed, go to the Global Settings screen and make sure that the program's communications settings match the settings of the scanner.

When the scanner locks on a trunk ID, the program will search it's list of IDs and display them on the main screen. If ID is not in ID Tracker's list, the program will attempt read the tag from the scanner. If the ID list is enabled, the ID will be added to the list once the ID becomes inactive. IDs may also be logged to a file.

To stop the tracking, click on the stop button and the button text will change to "Track" when the program has stopped tracking. Tracking can be resumed by clicking on the "Track" button. To exit the program, simply click on the "X" in the top left corner. Any changed data will be saved at this time.

Scanning multiple systems is supported. When tracking, the program determines the current system and identifies the IDs appropriately.

Function Keys

To display this help file in ID Tracker, press the F1 key on any screen.

ID Tracker provides the following keyboard functions:

Function Key | Description
F1 | Display the help file.
F2 | Start / Stop Tracking
F3 | Identify / Display Settings
F4 | Toggle List Display
F5 | Enable Recording
F6 | Disable Recording
F7 | Enable Logging
F8 | Disable Logging
F10 | Display the Quick Reference
F11 | Display the About screen.
F12 | Display the debug screen.

Control Keys

When the program is used, the scanner's control keys remain fully functional. The program provides minimal control of the scanner from the computer. These keys are functional only when tracking and may not respond immediately so please be patient. Also, all keys may not work with all scanners.

Computer Key | Scanner Key
0 - 9 | 0 - 9
Enter | E/Enter
. (Decimal Point) | . (Decimal Point)
Up Arrow | Up
Down Arrow | Down
D | Data
H | Hold
I | Identify ID (Same as ID Button)
L | L/O
M | Manual
P | Program Scan
R | Resume
S | Search
T | Trunk
W | Weather
Esc | Menu
Delete | Clear ID List Display

ID Alerts

ID Tracker provides two types of alerts. New ID and priority alerts. Each alert will play a WAV file or the system's "Exclamation" sound if a WAV file is not defined in the Global Settings screen. Alerts can be enabled or disabled for each system in the System Settings screen.

New ID Alert - If an ID is new or marked as unidentified, ID Tracker will alert the user.

Priority Alert - Individual IDs can be marked as a priority ID to alert the user.

Logging

The program gives you the option to log none, all or only new IDs to a file. To use this feature, go to the Global Settings screen and select the appropriate logging options.

Recording

Scanner audio can be recorded to WAV files. This allows you to capture audio while you are away from your scanner. The audio for each ID or frequency can be listened to later in compressed time.

Data Import

Existing data may be imported using the Import / Merge feature.

I-Call Support

ID Tracker provides I-Call tracking support.

Track and Log Service and Custom Searches

ID Tracker provides support for search tracking.


ID Tracker - Main Screen

Main Screen

Main Display (Right-Click) - Right-Clicking on the main display will display the following menu:

Always on Top - Forces the display to remain on top.
Recording - Enables audio recording.
Logging - Enables file logging.
Show Controls - Displays the scanner control dialog. This dialog is only active during tracking.
Spectrum View - Opens the Spectrum View screen.
Audio Playback - Opens the Audio Playback screen.
Clear All - Resets all hit counts in all systems and clears the ID list.
Clear List - Clears the ID List.
Reset All Hit Counts - Resets all hit counts in all systems.

Active Frequency - The is the frequency currently being monitored by the scanner.

Additional Info - The field will display the time the last ID became active or the Motorola Type II ID type if it is a special ID type. It will also display the current time and scanner status when scanning or searching.

Backlight - Toggle the scanner backlight.

Hit Count - The number of times the ID has been active.

ID / Set Button - When tracking IDs, this button displays the Identification Screen for the current ID. When not tracking IDs, this button displays the Global Settings screen.

ID List - This lists IDs monitored during the current session. IDs are displayed beginning with the most recent at the top of the list. Double-clicking on an ID will display the Identification Screen for the selected ID. Unlike the ID Button, this may be done regardless of whether the program is currently tracking.

ID Tag - The ID or Frequency tag as defined in the system's data file or "Unidentified" if it is a new ID or Frequency.

List - Opens or closes the ID/Frequency list. Right clicking on the list will display this popup menu:

Identify - Identify the selected ID.
Delete Entry - Delete the selected list entry.
Clear List - Clear the entire list.
Copy List - Copies the entire list to the paste buffer.
Save List to File - Saves the current list to a comma separated text file (CSV) or a tab delimited text file.

List Header - Right clicking on the list header will sort the list by the selected column. Repeated right clicking will toggle the sort order between ascending and descending. Left clicking on the header displays a menu to define the alignment of the selected column.

Mute - Indicates when the scanner is muted.

Record Indicator - Turns red when audio is being recorded to a WAV file.

Signal / Activity - Indicates signal strength or activity on the current frequency or ID.

System Indicators - Indicates the active and loaded systems. The indicators are based upon system's or site's Quick Key. Right-Clicking on a system indicator displays a recording menu for that system. This allows you to easily change the recording settings for individual systems while tracking. These are the same as the record options in the System Settings screen.

RecordMenu.gif (2215 bytes)

System Name - This is the system currently being monitored and the tag associated with that system. The system names are obtained from the scanner.

Time / Date Stamp - The time the ID or Frequency was last active.

Track / Stop Button - This button starts and stops scanner monitoring.

Tracked ID or Frequency - The current of last ID monitored. If the ID is active, the ID will be displayed in bold text.


ID Tracker - Global Settings

Global Settings

The Settings Screen allows program configuration and the setting of program options.

Sections: | Program
 | Scanner
 | Display
 | Logging / Recording
 | Sounds
 | Systems

Program

Auto Start - Enables or disables the automatic tracking at program startup.

Close Call Bug Fix - Placing the scanner in hold mode or in Close Call Priority mode will disable recording until the next transmission. This is due to the scanner not reporting the correct status (Uniden protocol GLG command). The problem has been observed on the BCD996T but could affect other scanners. Enabling this option provides a workaround but could cause potential side effects. This is especially true for LTR systems. Please use with caution.

Enable Muting - Enables or disables the muting function. ID Tracker will mute the audio when the Resume on Identified, ID Limits and Software Lockouts features are enabled to avoid unwanted bits of audio until a valid ID received. If this option is checked, you should always stop ID Tracker before turning off or disconnecting the scanner. Not doing do could leave the scanner in a "muted" state.

EDACS Format - Selects the display format for EDACS systems. The options are AFS (Agency Fleet Subfleet), Hex (hexadecimal), or Dec (decimal). The Hex and Dec formats are provided so IDs can be made to match the IDs in the ETrunk program.

Include Groups - When an ID is encountered that ID Tracker does not have in it's system list, ID Tracker attempts to read the ID tag from the scanner. If this option is enabled, the program will also attempt to include the system group name. Example: Group - ID Tag

Resume on System Load - Enables or disables the resume function after ID Tracker loads the system information from the scanner. In order to read system information from the scanner, the scanner must be temporarily placed in program mode. This halts all scanning operations. To overcome this, ID Tracker can send a resume command to the scanner to restart scanning.

Save Data Every nn Minutes - Sets the number of minutes between data saves. This option is provided to prevents data losses due to system shutdowns, crashes, etc. When the specified number of minutes has expired, ID Tracker will wait until there are no scanner activity then save any changed data. Setting this value to 0 will disable this feature.

Scanner

Baud Rate - Sets the serial port speed for communications with the scanner. This setting must match the settings of the scanner.

Port - Sets the serial port connected to the scanner.

Reload GRE Image - In order to properly follow a GRE scanner, ID Tracker II requires a copy of the current scanner image. Checking this box will force ID Tracker II to download a new scanner image after the scanner has been reprogrammed.

Type - Sets the type of scanner. The current choices are TrunkTracker III, TrunkTracker IV and GRE.

Use Flow Control - Enables or disables DTR/RTS flow control on the serial port. This setting is available for Uniden scanners only. It is recommend that this setting be enabled unless ID Tracker II is unable to communicate with the scanner.

Display

Alternate Colors - Selects an alternate color scheme (night mode) for the main display.

Always on Top - Keeps the main display on top of other windows. This setting is available while tracking on the main screen.

ID Hold Time - Specifies the amount of time in seconds the ID information will remain displayed once an ID goes inactive. A time of 0 to 60 seconds can be specified. A value of -1 will hold the ID until the next active ID.

Maximum Indicator Rows - Sets the maximum number of indicator rows to be displayed. ID Tracker will automatically adjust the number of indicator rows based on the system quick keys defined in the scanner. Setting this value to 0 will disable indicator rows.

Minimized - Selects the information displayed when the display is minimized.

Title Bar - Sets the title bar to the standard or ID display mode.

Unidentified ID Color - Sets the color used for displaying unidentified IDs.

Logging / Recording

Audio File Rollover - When enabled, audio files will span across multiple days. When disabled, a new file will be created at the start of each day. All rules for the setting Maximum Record Time are still followed regardless of the Audio File Rollover setting. Disabling this setting and setting the Maximum Record Time to 0 has the result of creating one audio file per day.

Logging Enabled - When checked, this enables the logging of IDs to a file. Each bank to be logged must also be enabled. This setting is available while tracking on the main screen.

Max. Rec. Time - Sets the maximum record time in minutes for individual audio files. Acceptable values are from 10 to 600 minutes (10 hours). Once the audio file exceeds the set time, the audio file is renamed and a new audio file is started. No audio is lost since this function simply creates multiple audio files for the same ID. The Audio Playback dialog will display and play all audio files for an ID. To create a new file the start of each day, please see the Audio File Rollover setting.

This option is meant to improve recording performance. As audio files become larger, the system takes longer to open and close the file reducing performance. A 30 minute audio file recorded at 8000 Hz requires a file size of about 15 megabytes.

A value of zero (0) disables this function and all audio will be recorded in a single file.

Playback Device - Selects the device to be used for audio playback. This setting provides support for multiple sound cards.

Playback Timer - This sets the update rate when playing audio in the Audio Playback screen. This value can range from 10 to 1000 milliseconds. If you experience problems during audio playback, try setting this value to a higher level.

Record Device - Selects the device to be used for recording. This setting provides support for multiple sound cards.

Recording Enabled - Enables or disables the recording of scanner audio to WAV files. Each bank to be recorded must also be enabled. This setting is available while tracking on the main screen.

Set Record Level - Enables a constant recording level by adjusting the scanner volume. This feature will not work for all scanner types. If enabled, the Setting field must be set. Either 1 to 15 or 1 to 29 depending on the scanner type.

Sample Rate - Sets the sampling rate for audio recording. The lowest acceptable value should be used to conserve disk space. Setting the value too high with too little available disk space could cause system problems due to no or very low disk space.

Setting - Set the fixed recording level. If the scanner is connected, the Get Current button can be used to get the volume level from the scanner.

Single Audio File - If enabled, all audio is placed in a single file and ID information is placed in the comment section of the audio index. In the Audio Playback screen, the "Identify" button will be disabled for single audio file recordings. If disabled, an audio file is created based on each system's settings. When enabled, this setting overrides the Single Audio File for System setting.

Sounds

Priority Alert - Sets the WAV file to be played for Priority IDs.

New ID Alert - Sets the WAV file to be played when an New or Unidentified ID is encountered.

Systems

Bank Mapping - This setting is only visible for TrunkTracker III type scanners. Bank Mapping allows ID Tracker II systems to be associated with one or more scanner banks. This allows you to have a system loaded in multiple banks on the scanner while still maintaining single system file.

Data Path - This sets the folder for storing data files. This allows a user to maintain multiple data sets and can be useful for scanning in different locations. The default value is a subfolder of the application folder named "DATA". The dropdown list will save previously created data paths for quick recall.

Clear - Clear all IDs from the selected system.

Delete - Deletes the system from ID Tracker II along with all associated audio and log files.

Edit - Displays the System Settings for the system selected in the list.

Reset Counts - Resets all hit counts for all banks.


ID Tracker - System Settings

System Settings

The System Settings screen allows IDs or Frequencies to be modified or removed as well as changing system wide settings.

Sections: | Tracking
 | Lockouts
 | Recording
 | Logging
 | ID / Frequency Edit
 | IDs / Frequencies
 | Importing / Merging

System - Displays the current system being modified.

System Type - Displays the type of system being modified.

Tracking

Alerts - Enables or disables Alerts. The following alert modes are available:

  • None - Disables alerts for the selected system.

  • Unidentified - Plays a sound when an unidentified ID or frequency is becomes active.

  • Priority - Plays a sound when a priority ID or frequencies becomes active.

  • Unidentified & Priority - Plays a sound when a priority or unidentified ID or frequency is becomes active.

ID Limits - Enables the ID limits for the selected system. One or more ID limit ranges must be added to the list using the Add, Edit and Delete buttons below the checkbox. This function should be used when the scanner is in ID search mode. Enabling the muting function will prevent short pieces of audio from being heard as the scanner encounters IDs outside the specified limits.

This function can be thought of as an ID limit search. Any IDs that are not within the specified limits ranges will be skipped. This function can also be used in conjunction with the Resume on Identified function to monitor only unidentified IDs within a given range.

Separate Audio - When set along with the Track Squelch option, ID Tracker will attempt to create separate audio files for each unique squelch code (CTCSS, DCS, NAC) in conventional systems. Separate audio files will only be created if the squelch code is available as soon as the frequency is active on the scanner. If the squelch code is not available, audio will be placed in standard frequency audio file. Note: The squelch code is usually only available on frequency activation when the squelch code is programmed into the scanner.

Track Squelch - When set, ID Tracker will create separate entries for each unique squelch code (CTCSS, DCS) in conventional systems. This allows each squelch code to be identified and tracked. The CTCSS/DCS Tone Search must be enabled on the scanner to track squelch codes. This option is only valid for conventional tracking.

Status Bit On - When this option is set, Motorola Type II IDs will be displayed the same as if the scanner's status bit is turned on regardless of the scanner's actual status bit state. Please see your scanner manual for more information.

Skip Encrypted - When set, ID Tracker will force the scanner to resume scanning if an encrypted digital signal is encountered.

Lockouts

Auto Lockout - Automatically locks out identified IDs or frequencies. This function can be used to reduce the number of IDs the scanner locks on to when searching for new IDs. The locked out IDs will be locked out by the scanner or stored in ID Tracker's lockout list depending on the Scanner Lockout setting.

Locked Out IDs - Displays ID Tracker's lockout list. This list is maintained to support software lockouts.

Resume on Identified - Resumes scanning or searching on IDs that have been marked as identified. Enabling the muting function will prevent short pieces of audio from being heard as the scanner encounters identified IDs.

Notes:

When using this feature you should make sure that all enabled systems are either scanning or searching. Do not use with one or more systems scanning and other systems searching.

TrunkTrackers will sometimes lock on invalid IDs. For example, an ID will be displayed and appear to be valid but the displayed ID is incorrect. Use of the "Resume on Identified" function may increase the chances of the scanner locking on an invalid ID.

Scanner Lockout - When Auto Lockout or Time Lockout is set, this function sends a lockout command to the scanner. This is the same as pressing the lockout key on the scanner. Locked out IDs / frequency must be restored using the scanners keyboard. Please see your scanner manual regarding this. When disabled, the ID Tracker uses software lockouts by maintaining a list of locked out IDs. Enabling the muting function will prevent short pieces of audio from being heard as the scanner encounters locked out IDs.

Timeout - Values greater than 0 will force the scanner to continue scanning if the ID or frequency is active for longer than the set time. Setting this value to 0 will disable this feature.

Time Lockout - When checked, this option will automatically lock out IDs or frequencies that remain active longer than the Timeout value. The locked out IDs will be locked out by the scanner or stored in ID Tracker's lockout list depending on the Scanner Lockout setting.

Recording

The following recording modes are available:

  • Record None - Disables recording for the selected system.

  • Record All - Enables recording of all IDs or frequencies.

  • Record Identified - Enables recording of identified IDs or frequencies.

  • Record Unidentified - Enables recording of unidentified IDs or frequencies.

  • Record Priority - Enables recording of IDs or frequencies marked as priority ID.

  • Record Identified & Priority - Enables recording of IDs or frequencies marked as identified or priority ID.

  • Record Unidentified & Priority - Enables recording of IDs or frequencies marked as unidentified or priority ID.

Any audio segments shorter than the Minimum Log Time will not be saved. See recording notes for more information.

Single Audio File for System - If enabled, all audio for the system is placed in a single file and ID information is placed in the comment section of the audio index. In the Audio Playback screen, the "Identify" button will be disabled for single audio file recordings. If disabled, an audio file is created for each ID or frequency. The global setting, Single Audio File overrides this setting.

Logging

Log File - Sets the path and filename for the log file. You can use the Browse button to set this parameter. The log file format can be found here.

Mode - Enables / Disables logging for the current system. See recording for the list of available modes.

Minimum Log Time - This value sets the minimum amount of time an ID must be active to be written to the file and displayed in the ID list. Setting this value helps reduce false hits. A value of 0 disables this feature. This value also affects the recording function.

ID / Frequency Edit

Comments - This field provides additional storage for comments or other additional information to aid in the identification of the ID or frequency. Any comments added will be displayed as a tool tip for the description on the main screen when the ID is active.

Description - This field is the description that will be displayed for the ID or frequency.

ID Color (A) - This button displays the color picker to set the text color of the selected ID.

Identified - Marks the selected ID as being Identified. This is affects recording and ID alerts.

Priority - Marks the selected ID as being a Priority ID. This is affects recording and ID alerts.

Save - Updates the currently selected ID.

Set All - Sets all selected entries in the list to current Priority, Identified and ID Color settings.

Sites - Displays the sites on which the ID has been active. This field is useful only for scanners that support multiple sites per system.

IDs / Frequencies

Delete - Deletes the currently select IDs.

Import - Imports a list of IDs into the selected system. All existing IDs in the system will be removed.

Merge - Merges a list of IDs into the selected system.

Reset Counts - Resets the "hit counts" for all IDs in the system.

Reset Colors - Resets ID colors for all IDs in the system.

Importing / Merging

Note: It is important that communications has been established with the scanner prior to importing data so that the import routines know how to properly interpret the IDs for the associated system.

External ID list may be imported or merged with the IDs already in the system lists. The file format must be as follows:

Text Files: ID<space>Description
or
CSV Files: ID,Description

Where ID is the decimal trunk ID and Description is the text description of the ID.


ID Tracker - Audio Playback

Audio Playback

The Playback Screen allows the playback of recorded audio files. You may see same ID with multiple files. This is due to the maximum record time setting.

File Menu

Set Folder - Sets the folder where playback screen searches for audio files.

Set to Default Folder - Restores the folder back to the ID Tracker default audio folder.

View Folder - Opens an Explorer window displaying the WAV and index files.

Controls

Audio Files - This is a list of files in the audio folder and their sizes. Audio files can contain multiple segments. You can double-click on a file to begin playing.

Delete - Deletes the selected WAV files and their associated index files.

Identify - Displays the Identification screen for the selected ID.

Index List - This displays the index of segments for the selected audio file. The list displays the date, time and length of each segment. Double-clicking on a segment will play the selected segment.

Lockout - Locks out the currently selected ID / Frequency and optionally deletes the currently loaded audio file. This is only valid for systems that do not have the Scanner Lockout function enabled.

Refresh - Refresh updates the audio file list.

Playback Controls

Comment - Adds a comment to one or more audio segments. This also allows Radio IDs to be labeled.

Cut Segment - Removes the selected segment(s) from the audio file. If all segments are removed, the entire file will be removed.

Fast Forward - Moves the audio position forward 5 seconds.

Next Segment - Moves the audio position to the next segment.

Play - Begins playing the audio file from it's current position.

Position Slider - Moves the current audio pointer quickly to any position in the file.

Previous Segment - Moves the audio position to the previous segment.

Reverse - Moves the audio position back 5 seconds.

Rewind - Moves the audio position to the beginning of the file.

Stop - Stop playing the file.

Volume - Adjusts the computer's main volume level.

Indicators

Audio Time - Indicates the current position in time of the audio file. The first value is the position in the current segment. The second value indicates the position in the file. The third value displays the total length of the audio file.

Segment Position - Indicates the current segment in the audio file. The position is indicated by an arrow in the audio segment list. Double clicked on any segment will immediately set the audio position to the beginning of the selected segment.


ID Tracker - Identification Screen

Identification Screen

The Identification Screen allows a tag to be associated with the displayed ID. It also allows the ID to be marked as identified. Additional comments may also be added. These comments will be saved with the ID information and will be displayed as a tool tip on the main screen when the ID is active.


ID Tracker - Spectrum View

Spectrum View

Spectrum.gif (6541 bytes)

The Spectrum View screen graphically displays frequencies and strength of tracked signals. Each bank can be assigned a different color. Settings allow the user to change the way the signals are displayed.

Settings

Peak Hold - With this option enabled, the peak signal is held for each frequency. When disabled, the current signal strength is displayed.

Signal Hold - With this option enabled, each frequency remains displayed at it's last signal strength. When disabled, the signal is erased.

Colors - Allows colors to be assigned to the individual banks.


ID Tracker - Searches

Service and Custom Searches

ID Tracker will track service and custom searches. They are treated as conventional systems and track frequencies only. Frequency information can be edited, audio can be recorded and logged just like any other system.


ID Tracker - I-Call Support

I-Call Support

ID Tracker can track I-Call IDs if they are enabled on the scanner. For the most part they are treated as normal IDs. All I-Call IDs will be displayed at the end of the list in the bank editing screen.

For Motorola Type II systems, all IDs greater than 65535 are considered to be an I-Call ID and are displayed as on the scanner. Example I-Call: 740054

For Motorola Type I and EDACS systems, I-Call IDs are prefixed with a lowercase i. Example I-Call: i00184


ID Tracker - Notes

ID Tracker II Notes

Trying using the highest baud rate that your computer can support. I have found that the CPU usage on my old computer (450 MHz Pentium III) is reduced about 6% when changing the baud rate from 9600 to 19200.

GRE Scanner Support

If you reprogram your GRE scanner, YOU MUST RELOAD the scanner image by checking the Reload GRE Image in the Global Settings dialog in order for ID Tracker II to function properly.

YOU MUST DISABLE THE CCDUMP and DSP COMMS functions of the scanner. If you are using Win500 to program the scanner, these are under the Extended Settings "Dump trunking data to PC/IF" and "Echo DSP comms to PC/IF".

Command Line Options

Command line options can be used to modify some of the settings for ID Tracker.

Usage: | IDTrack2 | {/INI=<inifile>} {/TYPE=<radio>}
Where: | inifile | = Path to the ID Tracker settings file.
 | radio | = BCD396T, BDC996T

The INI option can be used to support multiple configurations within a single installation folder.

The TYPE option forces ID Tracker to function as though it is connected to the specified scanner.

Using Resume on Identified

Resume on Identified feature is useful for discovering new IDs without locking out IDs on the scanner. When this feature is enabled only unidentified IDs will be heard. You want to enable this feature for the desired bank and turning off New ID Alerts.

The feature may also be useful for monitoring systems where all IDs have been identified. Enable Resume on Identified and turn off New ID Alerts. Uncheck the Identified flag for only the IDs that you wish to monitor. Now put the scanner in search mode. This allows you to monitor only selected IDs.

Recording

IMPORTANT!! Care should be taken to avoid using all available disk space when recording. Using all disk space can lead to problems with the operating system.

To enable record, you must set the following:

  1. The Recording Device and Sample Rate must be set in the Global Settings screen.
  2. Recording must also be enabled on the Global Settings display or by using the popup menu by right-clicking on the main screen.
  3. The Recording setting for each system to be recorded.

The recording format is 8 bit mono with a default sample rate of 8000 Hz to minimize disk usage. The sample rate can be increased for better audio quality in the Logging / Recording settings. However, increasing the sample rate will increase the audio file size and could affect performance.

The scanner's audio output must be connected to the computer's audio input in order to capture the audio. The connection can be tested by using the Window's Sound Recorder. If you experience problems, check the Windows Mixer record settings.

WAV files are created in the Audio sub-folder of the application folder. Each ID or frequency will be saved to a separate file with the file name formatted as "system-id.wav" where system is the system name and id is the ID or frequency. Examples: Baton Rouge-03216.wav (System: Baton Rouge, ID: 3472) or Amateur Radio-147.2850.wav (System: Amateur Radio, Frequency 147.285)

In addition to the WAV file, an index file is also created in the Audio sub-folder. The index file name is formatted as "system-id.idx". This file is used to record the date, time and length of audio segments. If the index does not appear or does not seem correct, the index file could be missing of corrupt. The problem will not be corrected until the selected audio file and index file is deleted. Any audio recorded after that should appear correctly.

Once an audio file exceeds the maximum recording time, the audio and index files are renamed with a timestamp and new files are started. The file name format is "system-id#yyyymmdd-hhmmss.wav". Example: LATIE-17018#20061111-112639.wav, LATIE-17018#20061111-112639.idx

Radio IDs

ID Tracker II provides support for tracking and labeling Radio IDs when used with scanners capable of providing Radio IDs. Radio ID labels can be edited from the System Settings screen or the Audio Playback screen. Radio ID label will be displayed in the ID Tracker II main screen and in the ID List when the specific radio is active.

Debug Screen

The debug screen is used to report and diagnose errors. If ID Tracker encounters an error while tracking, the following message will be displayed: "Scanner Error - Press F12 to Debug". Pressing the F12 key on the keyboard will display the debug screen along with any errors encountered. When reporting any problems, these this information should be included.

Log File Format

The log file is a tab delimited ASCII text file. The signal and GPS location fields are only valid for the BCT15 and BCD996T.

{system name}<tab>{id}<tab>{date time}<tab>{description}<tab>{radio ids}<tab>{hits}<tab>S{signal}<tab>{location}

System File Format

ID/Frequency information for each system is stored in a text file (comma separated) in the Data sub-folder of the application's folder. The data files are named "system.sys" where system is name of the system. The data file contains a header which contains the system type, date the file was last updated, and other system configuration information. String fields (description, comments) which contain commas (,) should be enclosed in quotes.

System Types = | 0 - | Conventional
 | 1 - | Service Search
 | 2 - | Custom Search
 | 3 - | Motorola Type 1
 | 4 - | Motorola Type 2
 | 5 - | EDACS
 | 6 - | LTR
 | 7 - | EDACS SCAT
 | 8 - | Motorola P25
ID Entry Line Format: {id},{flags},{hits},{description},{comments},{color},{site},{ctcss/dcs/nac}
Example File:
!%SysN%=Baton Rouge
!%SysT%=4
!%Date%=04/07/07 16:14:36
!%Alrt%=0
!%AULO%=False
!%TOut%=120
!%TiLO%=True
!%ScLO%=False
!%SBit%=True
!%Skip%=False
!%TSql%=False
!%IDLm%=False
!%LogM%=0
!%LogT%=2000
!%LogF%=D:\IDTracker\Baton Rouge\Bank01.log
!%RecM%=7
!%ILmt%=16,10000
!id,flags,hits,description,comments,color,site,CTCSS/DCS
03216,6,1320,"Police Dist. 1 - Dispatch","BRPD Dispatch 1",65535,"Baton Rouge"
03248,2,258,"Police Dist. 1 - Talk","BRPD Talk 1",0,"Baton Rouge"
03280,6,1200,"Police Dist. 2 - Dispatch","BRPD Dispatch 2",65535,"Baton Rouge"
03312,2,110,"Police Dist. 2 - Talk","BRPD Talk 2",0,"Baton Rouge"
03344,6,1099,"Police Dist. 3 - Dispatch","BRPD Dispatch 3",65535,"Baton Rouge"
03376,2,149,"Police Dist. 3 - Talk","BRPD Talk 3",0,"Baton Rouge"
03408,6,854,"Police Dist. 4 - Dispatch","BRPD Dispatch 4",65535,"Baton Rouge"
03440,2,89,"Police Dist. 4 - Talk","BRPD Talk 4",0,"Baton Rouge"
03472,2,45,"Police - Traffic Talk 1","Test",0,"Baton Rouge"
...